Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class GinjectorNameGenerator

    java.lang.Object
      com.google.gwt.inject.rebind.GinjectorNameGenerator

    public class GinjectorNameGenerator

extends java.lang.Object

Manages class and field names for GinjectorBindings.

Method Summary
`java.lang.String` | `getCanonicalClassName(GinjectorBindings bindings)`
`java.lang.String` | `getClassName(GinjectorBindings bindings)`
`java.lang.String` | `getFieldName(GinjectorBindings bindings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClassName

    public java.lang.String getClassName(GinjectorBindings bindings)

  Returns:
    the class name to use for the given ginjector

### getCanonicalClassName

    public java.lang.String getCanonicalClassName(GinjectorBindings bindings)

  Returns:
    the canonical class name (including package) to use for the given ginjector

### getFieldName

    public java.lang.String getFieldName(GinjectorBindings bindings)

  Returns:
    the field name to use for the given ginjector

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD